{% set shoppingcart_image = page.media.images|first %}

<div class="shoppingcart-product-container {{ class }}" >
   <div class="shoppingcart-item">
       <div class="shoppingcart-thumb">
           {% if shoppingcart_image %}
               <a href="{{ page.url|raw }}">
                   <img src="{{ shoppingcart_image.cropZoom(300,400).url }}" alt="">
               </a>
           {% else %}
               <br><br><br>
           {% endif %}
       </div>
   </div>
    <div class="shoppingcart-details pure-g">
        <div class="pure-u-2-3">
            <h3><a href="{{ page.url|raw }}">{{ page.header.title|e }}</a></h3>
            <p>{{ page.parent.title }}</p>
        </div>
        <div class="pure-u-1-3 text-right">
            <p>
                {#display_add_to_cart not working#}
                {% if display_add_to_cart %}
                    <div class="shoppingcart-quantity-chooser">
                        <label for="js__shoppingcart__quantity">{{ 'PLUGIN_SHOPPINGCART.QUANTITY'|t|e }}</label>
                        <input type="text" class="small" id="js__shoppingcart__quantity" placeholder="1" value="1" />
                    </div>
                    {% set product = { 'title': page.header.title, 'id': md5(page.header.title), 'price': page.header.price, 'image': shoppingcart_image, 'url': page.url } %}
                    {% include 'partials/shoppingcart_core_add_to_cart.html.twig' with { product: product } %}
                {% else %}
                    <a href="{{ page.url|raw }}"
                       class="button button-small">
                        <i class="fa fa-info-circle"></i> {{ 'PLUGIN_SHOPPINGCART.DETAILS'|t|e }}
                    </a>
                {% endif %}
            </p>
        </div>
    </div>
</div>
